For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTApprove/Reject time-off requests
      • DELCancel time-off request
      • POSTCreate time-off request
      • POSTExternal HR Time Off Synchronization
      • GETGet Profile Entitlements
      • GETGet Time Off Events for Profile
      • GETGet Work Schedule and Holidays
      • GETList policies
      • GETList time-off requests
      • GETList time-off requests for Organization
      • GETRetrieve policy validation templates
      • PATCHUpdate time-off request
      • POSTValidate time-off request
LogoLogo
SupportDeel Home
EndpointsTime Off

List time-off requests for Organization

GET
/time_offs
GET
/rest/v2/time_offs
$curl -G https://api.letsdeel.com/rest/v2/time_offs \
> -H "Authorization: Bearer <token>" \
> -d status=REQUESTED \
> -d time_off_ids=d290f1ee-6c54-4b01-90e6-d701748f0851 \
> --data-urlencode start_date=2022-01-01T00:00:00Z \
> --data-urlencode end_date=2022-01-01T00:00:00Z \
> --data-urlencode approval_start_date=2022-01-01T00:00:00Z \
> --data-urlencode approval_end_date=2022-01-01T00:00:00Z \
> --data-urlencode updated_start_date=2022-01-01T00:00:00Z \
> --data-urlencode updated_end_date=2022-01-01T00:00:00Z \
> -d page_size=10 \
> -d policy_types=d290f1ee-6c54-4b01-90e6-d701748f0851 \
> -d next=d290f1ee-6c54-4b01-90e6-d701748f0851
1{
2 "data": [
3 {
4 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
5 "amount": 0.5,
6 "is_paid": true,
7 "end_date": "2022-01-01",
8 "created_at": "2022-01-01T00:00:00Z",
9 "start_date": "2022-01-01",
10 "updated_at": "2022-01-01T00:00:00Z",
11 "requested_at": "2022-01-01",
12 "half_end_date": true,
13 "half_start_date": true,
14 "entitlement_unit": "CALENDAR_DAY",
15 "time_off_type_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
16 "reason": "Vacation",
17 "status": "REQUESTED",
18 "approved_at": "2022-01-01T00:00:00Z",
19 "description": "Vacation",
20 "contract_oid": "32fk5ds",
21 "time_off_type": {
22 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
23 "name": "Vacation",
24 "policy": {
25 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
26 "name": "Standard Vacation Policy",
27 "policy_type": {
28 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
29 "name": "Vacation"
30 }
31 }
32 },
33 "deduction_amount": 0.5,
34 "time_off_dailies": [
35 {
36 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
37 "date": "2022-01-01",
38 "type": "WORKING_DAY",
39 "amount": 0.5,
40 "created_at": "2022-01-01T00:00:00Z",
41 "updated_at": "2022-01-01T00:00:00Z",
42 "time_off_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
43 "description": "Vacation"
44 }
45 ],
46 "recipient_profile": {
47 "hris_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
48 "organization_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
49 "client_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
50 },
51 "requester_profile": {
52 "hris_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
53 "organization_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
54 "client_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
55 },
56 "time_off_percentage": 0.5,
57 "is_end_date_estimated": true,
58 "other_type_description": "Vacation"
59 }
60 ],
61 "page_size": 10,
62 "has_next_page": true,
63 "next": "string"
64}

Returns time-off requests for the authenticated organization, with optional filtering by status, date ranges, policy types, and specific request IDs. Results are paginated using cursor-based navigation. Token scopes: time-off:read

Was this page helpful?
Previous

Retrieve policy validation templates

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

statuslist of enumsOptional
Time off status
Allowed values:
time_off_idslist of stringsOptional
Time off ids
start_datestringOptionalformat: "date-time"
Start date of time off
end_datestringOptionalformat: "date-time"
End date of time off
approval_start_datestringOptionalformat: "date-time"
Approval start date
approval_end_datestringOptionalformat: "date-time"
Approval end date
updated_start_datestringOptionalformat: "date-time"
Updated start date
updated_end_datestringOptionalformat: "date-time"
Updated end date
page_sizeintegerOptional5-200
Page size
policy_typeslist of stringsOptional
Policy types
nextstringOptional
Next page

Response

Successful operation time offs returned
datalist of objects
page_sizeinteger5-200
Page size
has_next_pageboolean
Has next page
nextstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/